
/*------------------------------------------------------------------------
    File        : 07_Proxy/iSoapService.cls
    Purpose     : Interface of SOAP Service
    Author(s)   : klaus.erichsen

  This interface describes everything my SOAP service has visible to the
  outer world. 
  ----------------------------------------------------------------------*/

USING Progress.Lang.*.

INTERFACE 07_Proxy.iSoapService:  
  
  /* Target URL of connection. */
  DEFINE PUBLIC PROPERTY cURL            AS CHARACTER NO-UNDO GET. SET.
  /* Protocol to use for the calls (http, https). */ 
  DEFINE PUBLIC PROPERTY cProtocol       AS CHARACTER NO-UNDO GET. SET.
  /* Store a string containing the result of connection. */ 
  DEFINE PUBLIC PROPERTY cConnectResult  AS CHARACTER NO-UNDO GET. SET. 

  // Connect target URL
  METHOD PUBLIC LOGICAL connectURL ( ).
  
END INTERFACE.