
/*------------------------------------------------------------------------
    File        : 07_Proxy/start.p
    Purpose     : Starting the proxy sample
    Author(s)   : Klaus Erichsen
    
    This program uses a proxy to instantiate a (fake) SOAP connection.
  ----------------------------------------------------------------------*/

USING 07_Proxy.iSoapService.
USING 07_Proxy.proxySoapService.

/*---------------------------------Definitions----------------------------------*/

  DEFINE VARIABLE oMySoapService  AS proxySoapService NO-UNDO.


/*---------------------------------Main Block-----------------------------------*/

  oMySoapService = NEW proxySoapService().
  
  oMySoapService:cURL = "https://my.service.com".
  oMySoapService:connectURL().
  
  MESSAGE oMySoapService:cConnectResult 
    VIEW-AS ALERT-BOX INFORMATION.

