
 /*------------------------------------------------------------------------
    File        : 05_adapter/GoogleMapsAdapter
    Author(s)   : klaus.erichsen

  This class calls a Google service. The way an address is decoded here 
  with Google is different then with OpenStreetMaps (although this is
  not reflected in the program).
  ----------------------------------------------------------------------*/

USING Progress.Lang.*.
USING 05_adapter.IMaps.

BLOCK-LEVEL ON ERROR UNDO, THROW.

CLASS 05_adapter.GoogleMapsAdapter IMPLEMENTS IMaps:

/*-------------------------------- Constructor----------------------------------*/

  CONSTRUCTOR PUBLIC GoogleMapsAdapter ():
/*  Create session connect to Google Maps... */
  END CONSTRUCTOR.

/*-----------------------------------Method-------------------------------------*/

  METHOD PUBLIC CHARACTER GetAddress( INPUT dLat AS DECIMAL, INPUT dLng AS DECIMAL):
    /*  Usuall call something in Google Maps. To make it simple, answer is fix.*/
    RETURN "This adress is found by Google Maps: 'Valentinskamp 30, 20355 Hamburg'".
  END METHOD.

/*----------------------------------End Class-----------------------------------*/

END CLASS.
