 
 /*------------------------------------------------------------------------
    File        : OpenStreetMapLocation
    Purpose     : This object contains the data from a call to OpenStreetMap as an object.
It is used as an illustration of having a different type of call in these tree of the adapter.
    Syntax      : 
    Description : 
    Author(s)   : klaus.erichsen
    Created     : Mon May 27 13:40:54 CEST 2019
    Notes       : 
  ----------------------------------------------------------------------*/

USING Progress.Lang.*.

  
CLASS 05_adapter.OpenStreetMapLocation:

  /* Simple properties to hold some address data. */ 
  DEFINE PROPERTY cStreetName AS CHARACTER NO-UNDO PUBLIC GET. PRIVATE SET.  
  DEFINE PROPERTY cStreetNum  AS CHARACTER NO-UNDO PUBLIC GET. PRIVATE SET.  
  DEFINE PROPERTY cCityName   AS CHARACTER NO-UNDO PUBLIC GET. PRIVATE SET.  
  DEFINE PROPERTY cCityZip    AS CHARACTER NO-UNDO PUBLIC GET. PRIVATE SET.  
  
  /* This constructor is setting hard coded the location values. */
  CONSTRUCTOR PUBLIC OpenStreetMapLocation (  ):
    cStreetName = "Valentinskamp".
    cStreetNum  = "30".
    cCityName   = "Hamburg".
    cCityZip    = "20355".
  END CONSTRUCTOR.  
  
  

END CLASS.