 
 /*------------------------------------------------------------------------
    File        : 07_proxy/soapService.cls
    Purpose     : Base object to handle soap calls
    Author(s)   : klaus.erichsen

    This is the class fullfilling a soap call.
  ----------------------------------------------------------------------*/

USING Progress.Lang.*.
USING 06_Factory.iWheeler.


CLASS 07_Proxy.soapService IMPLEMENTS 07_Proxy.iSoapService: 

  DEFINE PUBLIC PROPERTY cURL            AS CHARACTER NO-UNDO GET. SET. 
  DEFINE PUBLIC PROPERTY cProtocol       AS CHARACTER NO-UNDO GET. SET. 
  DEFINE PUBLIC PROPERTY cConnectResult  AS CHARACTER NO-UNDO GET. SET. 

  DEFINE PUBLIC PROPERTY lUseHttps       AS LOGICAL   NO-UNDO GET. SET.
  

  // Connect target URL
  METHOD PUBLIC LOGICAL connectURL ( ).
    /* Use best method to connect remote SOAP URL... */
    RETURN TRUE.
  END METHOD.

  // other functionality here... send, receive, decode...

END CLASS.
